database_api.list_vesting_delegation_expirations
since HF17
Purpose
Restituisce un elenco di scadenze di deleghe di vesting (vesting delegation expiration). Parametri: start:array, limit:int, order:string
limitè fino a 1000.orderpuò essere uno tra:by_expiration- ordina per scadenzastartè un array di due valori:timestamp,expiration_id
by_account_expiration- ordina per scadenza dell’accountstartè un array di due valori:account,timestamp,expiration_id
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["1970-01-01T00:00:00", 0] | 10 | by_expiration | Interroga le deleghe, limite a 10 risultati, ordina per scadenza. |
["alice", "1970-01-01T00:00:00", 0] | 10 | by_account_expiration | Interroga la delega da questa data, limite a 10 risultati, ordina per scadenza dell’account. |
Vedere anche: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegation_expirations",
"params": {
"start": [
"alice",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_account_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 3076685,
"delegator": "anonsteem",
"vesting_shares": {
"amount": "6050629930",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T07:07:15"
}
]
}